---
title: 'exsl:object-type()'
slug: Web/EXSLT/exsl/object-type
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</div>

<p><code>exsl:object-type()</code> returns a string that indicates the type of the specified object.</p>

<p>{{Note("Most <a href='\"en/XSLT\"'>XSLT</a> object types can be coerced into each other safely; however, certain coercsions to raise error conditions. In particular, treating something that\'s not a node-set as a node-set will do so. This function lets authors of named templates and extension functions easily provide flexibility in parameter values.")}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">exsl:object-type(<var>object</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><em>object</em></code></dt>
 <dd>The object whose type is to be returned.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The object's type, which will be one of the following:</p>

<ul>
 <li><code>string</code></li>
 <li><code>number</code></li>
 <li><code>boolean</code></li>
 <li><code>node-set</code></li>
 <li><code>RTF</code></li>
 <li><code>external</code></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/exsl/functions/object-type/index.html">EXSLT - EXSL:OBJECT-TYPE</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.exsl.object-type")}}</p>
